Subject: Re: linux-next: build failure after merge of the crypto tree

From: Barry Song <[email-masked]>
Date: Wed, 13 Mar 2024 14:58:48 +1300

> On Wed, Mar 13, 2024 at 09:43:52AM +0800, Herbert Xu wrote:
>>
>> Instead of using the non-existent crypto_comp_alg_common, it
>> should do something like
>> 
>> 		return crypto_acomp_tfm(tfm)->__crt_alg->cra_flags & ...
> 
> Nevermind, the stats revert should not have removed acomp infrastructure
> like this.
>
> I'll revert it.
> 

I assume mm-unstable doesn't need to do anything since Herbert is going
to revert the crypto commit "crypto: remove CONFIG_CRYPTO_STATS" which
accidently removed the API. once that is done, linux-next is going to
be ok.

> Thanks,
> -- 
> Email: Herbert Xu <[email-masked]>
> Home Page: http://gondor.apana.org.au/~herbert/
> PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt

Thanks
Barry